Print more than one column of fonts
Closed, ResolvedPublic

Description

When you have 600 fonts, Font Explorer prints out too many pages to be useful.

Joe created this task.Oct 6 2017, 7:59 AM
Joe added a comment.EditedOct 6 2017, 8:06 AM

Holder of Licenses purchased in 2007, 2010, and 2017 wrote:

Almost a decade ago, I was able to print a condensed list of fonts. I have no clue how I did that. I sure hope you can take this on as a project. As you can see from the sample pdf file attached, each page handled 60 fonts arranged in three columns. A big help since at the time I had just over 600 fonts.

On 8/28/2017 I wrote about a second disk for a friend of ours. Thank you. They really appreciate getting it.

In that e-mail I mentioned an application that I had used to print fonts in three column. I have done a little searching and found out that it is a freeware "AMP Font Viewer 3.86" It is really cool. There may be a web site "ampsoft.net". If you could add something like that to KarenWare that would really be nice.

Joe shifted this object from the Restricted Space space to the S5 Public space.Oct 9 2017, 7:09 PM
Joe removed a subscriber: Joe.Thu, Dec 27, 2:20 PM
This comment was removed by Joe.
Joe added a comment.Thu, Dec 27, 2:49 PM

Comparison of Karen's Font Explorer (left) and output from AMP Font Viewer (right)

Joe added a comment.Thu, Dec 27, 2:58 PM

Wow, found a hidden Print to Screen function (Print preview). Neato.

Joe added a comment.EditedSun, Dec 30, 12:39 PM

Getting there...

This Print Preview thing isn't going to be enabled in update when released. It has some problems, problems I don't want to spend all day fixing. I'd rather be completely rewriting the whole application. Crisis of planning, yes.

Joe added a comment.Sun, Dec 30, 1:19 PM

They're in columns. Need to fix the newline thing.

Joe added a comment.Sun, Dec 30, 1:30 PM

Correction, I found a pretty easy way to avoid some of the confusion about the Print Preview: Get rid of the control box on the form, and create a new instance of the modeless form every time.

Joe added a comment.Sun, Dec 30, 2:03 PM

Almost done. Just need to find out why this happens:

Joe closed this task as Resolved.Sun, Dec 30, 2:39 PM

Joe reopened this task as Open.Sun, Dec 30, 2:49 PM
Joe raised the priority of this task from High to Unbreak Now!.

Missing a row at the top of new pages

Joe closed this task as Resolved.Sun, Dec 30, 2:56 PM

And there was much rejoicing.